gstreamermm: Gst::QueryDuration Class Reference

gstreamermm 0.10.11

- Main Page
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions
Gst::QueryDuration Class Reference

A stream duration query object. More...

Inheritance diagram for Gst::QueryDuration:
[legend]
Collaboration diagram for Gst::QueryDuration:
[legend]

List of all members.

## Public Member Functions
| QueryDuration (GstQuery* query)
void | set (Format format, gint64 duration)
| Answer a duration query by setting the requested value in the given format.
void | parse (Format& format, gint64& duration) const
| Parse a duration query answer.
gint64 | parse () const
| Parse a duration query answer, returning the duration.
Format | parse_format () const
| Parse a duration query answer, returning the format of the duration.
## Static Public Member Functions
static Glib::RefPtr < Gst::QueryDuration > | create (Format format)
| Constructs a new stream duration query object to query in the given format.

## Detailed Description

A stream duration query object.

See create() for more details.

## Constructor & Destructor Documentation

Gst::QueryDuration::QueryDuration | ( | GstQuery * | query | ) | `[explicit]`

## Member Function Documentation

static Glib::RefPtr<Gst::QueryDuration> Gst::QueryDuration::create | ( | Format | format | ) | `[static]`

Constructs a new stream duration query object to query in the given format.

A duration query will give the total length of the stream.

Parameters:

  format | The Gst::Format for this duration query.

Returns:
  The new Gst::QueryDuration.

void Gst::QueryDuration::parse | ( | Format& | format,
|  | gint64 & | duration
| ) |  | const

Parse a duration query answer.

Write the format of the duration into format, and the value into duration. Use the other parse() methods for parsing individual values.

Parameters:

  format | The storage for the Gst::Format of the duration value.
  duration | The storage for the total duration.

gint64 Gst::QueryDuration::parse | ( |  | ) | const

Parse a duration query answer, returning the duration.

Returns:
  The total duration.

Format Gst::QueryDuration::parse_format | ( |  | ) | const

Parse a duration query answer, returning the format of the duration.

Returns:
  The Gst::Format of the duration value.

void Gst::QueryDuration::set | ( | Format | format,
|  | gint64 | duration
| ) |  |

Answer a duration query by setting the requested value in the given format.

Parameters:

  format | The Gst::Format for the duration.
  duration | The duration of the stream.

The documentation for this class was generated from the following file:

- gstreamermm/query.h